Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class Device<D extends Device<D,​T>,​T extends DeviceType>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.Device<D,​T>

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<D>`

Direct Known Subclasses:
  `InetDevice`, `InvDevice`, `TvDevice`, `VoiceDevice`

    public abstract class Device<D extends Device<D,​T>,​T extends DeviceType>
    extends Entity
    implements TreeNode<D>

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.List<D>` | `children` |
  `protected java.lang.String` | `comment` |
  `protected java.lang.String` | `config` |
  `protected java.util.Date` | `dateFrom` |
  `protected java.util.Date` | `dateTo` |
  `protected java.util.Set<java.lang.Integer>` | `deviceGroupIds` |
  `protected T` | `deviceType` |
  `protected int` | `deviceTypeId` |
  `protected java.lang.String` | `host` |
  `protected java.lang.String` | `identifier` |
  `protected boolean` | `orderManagerDisabled` |
  `protected int` | `parentId` |
  `protected java.lang.String` | `secret` |
  `protected java.lang.String` | `uptime` |
  `protected java.util.Date` | `uptimeTime` |

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Device()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `D[]` | `findCodePath​(int pid)` |
  `static java.lang.String` | `generateTitle​(java.lang.String identifier, java.lang.String host, java.lang.String type)` |
  `static java.lang.String` | `generateTitle​(Device<?,​?> device, DeviceType type)` |
  `java.util.List<D>` | `getChildren()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.util.Set<java.lang.Integer>` | `getDeviceGroupIds()` |
  `T` | `getDeviceType()` |
  `int` | `getDeviceTypeId()` |
  `java.lang.String` | `getHost()` |
  `java.util.List<java.net.InetSocketAddress>` | `getHosts()` |
  `java.util.List<java.lang.String[]>` | `getHostsAsString()` |
  `java.lang.String` | `getIdentifier()` |
  `int` | `getParentId()` |
  `java.lang.String` | `getPassword()` |
  `java.lang.String` | `getSecret()` |
  `java.lang.String` | `getUptime()` |
  `java.util.Date` | `getUptimeTime()` |
  `java.lang.String` | `getUsername()` |
  `boolean` | `isOrderManagerDisabled()` |
  `static void` | `main​(java.lang.String[] args)` |
  `void` | `setChildren​(java.util.List<D> children)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setDeviceGroupIds​(java.util.Set<java.lang.Integer> deviceGroupIds)` |
  `void` | `setDeviceType​(T deviceType)` |
  `void` | `setDeviceTypeId​(int deviceTypeId)` |
  `void` | `setHost​(java.lang.String host)` |
  `void` | `setIdentifier​(java.lang.String identifier)` |
  `void` | `setOrderManagerDisabled​(boolean orderManagerDisabled)` |
  `void` | `setParentId​(int parentId)` |
  `void` | `setPassword​(java.lang.String password)` |
  `void` | `setSecret​(java.lang.String secret)` |
  `void` | `setUptime​(java.lang.String uptime)` |
  `void` | `setUptimeTime​(java.util.Date uptimeCheckTime)` |
  `void` | `setUsername​(java.lang.String user)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### deviceTypeId

    protected int deviceTypeId

  - ### deviceType

    protected transient T extends DeviceType deviceType

  - ### identifier

    protected java.lang.String identifier

  - ### host

    protected java.lang.String host

  - ### deviceGroupIds

    protected java.util.Set<java.lang.Integer> deviceGroupIds

  - ### secret

    protected java.lang.String secret

  - ### config

    protected java.lang.String config

  - ### comment

    protected java.lang.String comment

  - ### parentId

    protected int parentId

  - ### children

    protected java.util.List<D extends Device<D,​T>> children

  - ### uptime

    protected volatile java.lang.String uptime

  - ### uptimeTime

    protected volatile java.util.Date uptimeTime

  - ### dateFrom

    protected java.util.Date dateFrom

  - ### dateTo

    protected java.util.Date dateTo

  - ### orderManagerDisabled

    protected boolean orderManagerDisabled

- ## Constructor Details

  - ### Device

    public Device()

- ## Method Details

  - ### getDeviceTypeId

    public int getDeviceTypeId()

  - ### setDeviceTypeId

    public void setDeviceTypeId​(int deviceTypeId)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getDeviceType

    public T getDeviceType()

  - ### setDeviceType

    public void setDeviceType​(T deviceType)

  - ### getIdentifier

    public java.lang.String getIdentifier()

  - ### setIdentifier

    public void setIdentifier​(java.lang.String identifier)

  - ### getDeviceGroupIds

    public java.util.Set<java.lang.Integer> getDeviceGroupIds()

  - ### setDeviceGroupIds

    public void setDeviceGroupIds​(java.util.Set<java.lang.Integer> deviceGroupIds)

  - ### getHost

    public java.lang.String getHost()

  - ### getHosts

    public java.util.List<java.net.InetSocketAddress> getHosts()

  - ### main

    public static void main​(java.lang.String[] args)

  - ### getHostsAsString

    public java.util.List<java.lang.String[]> getHostsAsString()

  - ### setHost

    public void setHost​(java.lang.String host)

  - ### getUsername

    public java.lang.String getUsername()

  - ### setUsername

    public void setUsername​(java.lang.String user)

  - ### getPassword

    public java.lang.String getPassword()

  - ### setPassword

    public void setPassword​(java.lang.String password)

  - ### getSecret

    public java.lang.String getSecret()

  - ### setSecret

    public void setSecret​(java.lang.String secret)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getChildren

    public java.util.List<D> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<D extends Device<D,​T>>`

  - ### setChildren

    public void setChildren​(java.util.List<D> children)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getUptime

    public java.lang.String getUptime()

  - ### setUptime

    public void setUptime​(java.lang.String uptime)

  - ### getUptimeTime

    public java.util.Date getUptimeTime()

  - ### setUptimeTime

    public void setUptimeTime​(java.util.Date uptimeCheckTime)

  - ### generateTitle

    public static java.lang.String generateTitle​(Device<?,​?> device, DeviceType type)

  - ### generateTitle

    public static java.lang.String generateTitle​(java.lang.String identifier, java.lang.String host, java.lang.String type)

  - ### findCodePath

    public D[] findCodePath​(int pid)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### isOrderManagerDisabled

    public boolean isOrderManagerDisabled()

  - ### setOrderManagerDisabled

    public void setOrderManagerDisabled​(boolean orderManagerDisabled)